Subject: Re: Latex problem
From: Ashok Vadekar <[email-masked]>
To: [email-masked]
Cc: Cygwin Discussion Group <[email-masked]>
Date: Fri, 22 Jun 2001 16:22:42 -0400

I've followed your threads on Latex installation for a while now.  Just never
have the time to attempt it.  I seem to have stumbled through it successfully
to a point.  I can currently build a dvi file, and can even use dvips.  However,
I wanted to be able to convert to a PDF file so I could use acrobat (reader) as
a previewer.  I don't really want to pull up an x server just to view my
document.  I guess I would prefer to use a Win32 based dvi viewer, but there
doesn't seem to be one by default (as part of the cygwin system).  This seems
reasonable, since the rest of the system is a port, not platform specific new
development.  So, in trying to build a PDF file, I've got the following
problems:
	I needed to install the xFree86 DLL files so that gs would run in batch
		mode.  A minor nuisance, but no big deal.
	dvipdfm complains it can't find a fonts.map file.  Neither can I, not even
		on a solaris installation of Latex that works fine.  Where should this
		file be, and where does it come from?  Is it related to texfonts.map in 		$TEXMF/fontname/ ?
	dvipdfm proceeds to create various fonts for me, such as ptmb8r.1493pk.
		Which it then leaves in the CWD.  As far as I can tell, it should be
		trying to put them in $VARTEXFONTS (from texmf.cnf) which is
		/var/tmp/texfonts (which does exist).
	After a few "successful" font builds as described above, dvipdfm chokes
		on a font.  I end up with the following messages:
			kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 \
				--dpi 600 lcircle10
			mktexpk: Mismatched mode ljfour and resolution 600; ignoring mode.
			mktexpk: Running mf \mode:=ljfour; mag:=1+0/600; nonstopmode; \
				input lcircle10
			This is METAFONT, Version 2.7182 (Web2C 7.3.3)
			I can't find the base file `mf.base'!
			grep: lcircle10.log: No such file or directory
			mktexpk: `mf \mode:=ljfour; mag:=1+0/600; nonstopmode; input \
				lcircle10' failed to make lcircle10.600pk.
			kpathsea: Appending font creation commands to missfont.log.
			lcircle10: Can't locate a Type 1, TTF, PK, or virtual font file

			Not sure how to proceed.  For now this is fatal
			Maybe in the future, I'll substitute some other font.

			Output file removed.
	Is the problem just that I'm missing mf.base?  I have an mf.pool.  Can
		I copy it from another machine?  Or am I missing a whole metafont
		installation?

Can you shed any light upon this?

On Fri, Jun 22, 2001 at 08:25:23PM +0200, Jerome BENOIT wrote:
> You have to install a TeX Directory Structure suitable for teTeX:
> please read the updated README file that I posted today:
> 
> Re: tetex-beta-20001218 (can not use it after setup on Cygwin)
> 
> Thanks,
> and Happy LaTeXing !
> Jerome BENOIT

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple